// LampTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "LampTest.h"
#include "LampTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

////////////////////////////////////////////////////////////////////////////

extern "C" __declspec(dllimport) bool Tcp_Qu_RW(int iPort, byte *pbIp, byte  *pbData);
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
// CLampTestDlg dialog

CLampTestDlg::CLampTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLampTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLampTestDlg)
	m_str = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CLampTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLampTestDlg)
	DDX_Text(pDX, IDC_EDIT1, m_str);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CLampTestDlg, CDialog)
	//{{AFX_MSG_MAP(CLampTestDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLampTestDlg message handlers

BOOL CLampTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here


	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CLampTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CLampTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CLampTestDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: Add your message handler code here
}



void CLampTestDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
	int i;

	bool b_chk;
	byte c_pIdata[15];
	byte c_pIpadd[4];
	int		iPort;
	
	
	c_pIdata[0]  = 0;		// 1-write  0-read

	
	c_pIpadd[0] = 192;
	c_pIpadd[1] = 168;
	c_pIpadd[2] = 10;
	c_pIpadd[3] = 200;
	
	
	iPort = 20000;
	
	
	b_chk = Tcp_Qu_RW(iPort,c_pIpadd,c_pIdata);
	
	m_str = " ";
	if(b_chk) {

		if(c_pIdata[2] == 0 )		m_str += " R-OFF/";
		else if(c_pIdata[2] == 1 )	m_str += " R-ON/";
		else						m_str += " R-BLINK/";

		if(c_pIdata[3] == 0 )		m_str += " Y-OFF/";
		else if(c_pIdata[3] == 1 )	m_str += " Y-ON/";
		else						m_str += " Y-BLINK/";

		if(c_pIdata[7] == 0 )		m_str += " Sound-OFF/";
		else						m_str += " Sound-ON/";
	
	}
	else		m_str = "  [Send  Error] ";


	UpdateData(0);
	
}

void CLampTestDlg::OnButton2() 

{
	// TODO: Add your control notification handler code here




#define   D_not	      100            // Don't care  // Do not change before state
#define   C_lampoff	   0 
#define   C_lampon	    1 
#define   C_lampblink	2 


	bool b_chk;
	byte c_pIdata[15];
	byte c_pIpadd[4];
	int		iPort;
	

	c_pIdata[0]  = 1;		// 1-write  0-read
	//Sound 5ea model 
	c_pIdata[1]  = 0;		
	//sound 25ea model group select   0-4:
	//c_pIdata[1]  = 3;	

	c_pIdata[2] = C_lampon;         // lamp1 RED
	c_pIdata[3] = C_lampblink;		// lamp2 Yellow
	c_pIdata[4] = C_lampoff;		// lamp3 Green
	c_pIdata[5] = D_not;			// lamp4 Blue
	c_pIdata[6] = C_lampoff;		// lamp4 White
	c_pIdata[7] = 3;				// sound


	c_pIpadd[0] = 192;
	c_pIpadd[1] = 168;
	c_pIpadd[2] = 10;
	c_pIpadd[3] = 200;


	iPort = 20000;
	

	b_chk = Tcp_Qu_RW(iPort,c_pIpadd,c_pIdata);

	
	if(b_chk)	m_str = "  [Success send] ";
	else		m_str = "  [Send  Error] ";
	UpdateData(0);
	

}
